camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Willem Jiang <willem.ji...@gmail.com>
Subject Re: Camel for Karaf 2.0
Date Fri, 28 Oct 2011 01:03:26 GMT

On Fri Oct 28 04:48:32 2011, Gert Vanthienen wrote:
> L.S.,
>
> You'll probably have to strike 2.7.x as an option as well, as those have a
> reference to mvn:org.apache.karaf.assemblies.features/standard/2.2.0/xml/features
> or something like that and that's probably not going to work either.

Please try to Use the version later than Camel 2.7.1, we removed the 
remove the reference since then.

>
> Regards,
>
> Gert Vanthienen
> ------------------------
> FuseSource
> Web: http://fusesource.com
> Blog: http://gertvanthienen.blogspot.com/
>
>
> On Thu, Oct 27, 2011 at 10:13 PM, Gert Vanthienen<gert.vanthienen@gmail.com
>> wrote:
>
>> L.S.,
>>
>> The closest matching Camel version would be 2.5.0, which was using Karaf
>> 2.1.0 at the time it was released.  I suspect that 2.6.0 and 2.7.x might
>> install fine as well, but you would have to give those a try to be sure.
>>
>> Regards,
>>
>> Gert Vanthienen
>> ------------------------
>> FuseSource
>> Web: http://fusesource.com
>> Blog: http://gertvanthienen.blogspot.com/
>>
>>
>>
>> On Thu, Oct 27, 2011 at 9:41 PM, mattmadhavan<mattmadhavan@yahoo.com>wrote:
>>
>>> Hello,
>>> Due my cleint's target platform which is IBM WAS 7.1, I'm stuck with Aries
>>> 0.1. I want to develop and test my app in Karaf before deploying testing
>>> and
>>> deploying to WAS since Karaf increases our development productivity many
>>> fold.
>>>
>>> So I'm stuck with Karaf 2.0 due to Aries 0.1.
>>>
>>> I would like to deploy Camel and ActiveMQ in to Karaf 2.0.
>>>
>>> Can some one please let me know what version of Camel I can use to do so.
>>>
>>> The 2.8.0 version of Camel  failed with the following error:when I do
>>> *features:install camel*
>>>
>>> Error executing command: No feature named 'spring' with version '[3,4)'
>>> available
>>>
>>> I have spring feature 3.0.5 installed!
>>> [installed  ] [3.0.5.RELEASE     ] spring
>>> karaf-2.0.0
>>>
>>>
>>> --
>>> View this message in context:
>>> http://camel.465427.n5.nabble.com/Camel-for-Karaf-2-0-tp4943993p4943993.html
>>> Sent from the Camel - Users mailing list archive at Nabble.com.
>>>
>>
>>
>



-- 
Willem
----------------------------------
FuseSource
Web: http://www.fusesource.com
Blog:    http://willemjiang.blogspot.com (English)
         http://jnn.javaeye.com (Chinese)
Twitter: willemjiang 
Weibo: willemjiang 


Mime
View raw message